{
  "id": "43e18a0f8502552a31de729d",
  "source": "http",
  "type": "go-function",
  "title": "http.func ServeFile ¶",
  "content": "# http.func ServeFile ¶\n\n```\nfunc ServeFile(w ResponseWriter, r *Request, name string)\n```\n\nServeFile replies to the request with the contents of the named\nfile or directory.",
  "url": "https://pkg.go.dev/http#func ServeFile ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/net/http",
    "kind": "function",
    "package": "http",
    "signature": "func ServeFile(w ResponseWriter, r *Request, name string)",
    "symbol": "func ServeFile ¶"
  },
  "hash": "b8fc650a6847fc72d6b59d5d736c9cc70ad71effc4917928ec1d47afd2e3015f",
  "timestamp": "2026-02-19T12:17:17.237534316+01:00"
}